import { BaseConfiguration, StringConfigKey, NumberConfigKey, BooleanConfigKey } from "./config-system";
export declare class AgentConfig extends BaseConfiguration {
    /**
     * Sealights agent token (JWT)
     * @type {string}
     * @memberOf Config
     */
    token: StringConfigKey;
    buildSessionId: StringConfigKey;
    tokenFile: StringConfigKey;
    server: StringConfigKey;
    proxy: StringConfigKey;
    interval: NumberConfigKey;
    testStatusCheckInterval: NumberConfigKey;
    enabled: BooleanConfigKey;
    sendFootprints: BooleanConfigKey;
    sendEvents: BooleanConfigKey;
    sendLogs: BooleanConfigKey;
    customerId: StringConfigKey;
    appName: StringConfigKey;
    branch: StringConfigKey;
    build: StringConfigKey;
    environmentName: StringConfigKey;
    useBranchCoverage: BooleanConfigKey;
    labId: StringConfigKey;
    testStage: StringConfigKey;
    httpServerColoring: BooleanConfigKey;
    httpClientColoring: BooleanConfigKey;
    useInitialColor: BooleanConfigKey;
    gzip: BooleanConfigKey;
    useIstanbul: BooleanConfigKey;
    enableChildProcessPatcher: BooleanConfigKey;
    /**
     * Comma-separated list of loggers. Available: console, file
     */
    loggers: StringConfigKey;
    /**
    * Port number for coloring
    * */
    httpListeningPort: NumberConfigKey;
    useFootprintsV3: BooleanConfigKey;
    extendedFootprints: BooleanConfigKey;
    projectRoot: StringConfigKey;
}
export declare class AgentConfigWithRuntimeArgs extends AgentConfig {
    /**
     * Path to config file
     *
     * @memberOf AgentConfigWithRuntimeArgs
     */
    cfg: StringConfigKey;
}
