"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var config_system_1 = require("./config-system");
var AgentConfig = /** @class */ (function (_super) {
    __extends(AgentConfig, _super);
    function AgentConfig() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        /**
         * Sealights agent token (JWT)
         * @type {string}
         * @memberOf Config
         */
        _this.token = new config_system_1.StringConfigKey(false);
        _this.buildSessionId = new config_system_1.StringConfigKey(false);
        _this.tokenFile = new config_system_1.StringConfigKey(false);
        _this.server = new config_system_1.StringConfigKey(false);
        _this.proxy = new config_system_1.StringConfigKey(false);
        _this.interval = new config_system_1.NumberConfigKey(false, 10000);
        _this.testStatusCheckInterval = new config_system_1.NumberConfigKey(false, 30000);
        _this.enabled = new config_system_1.BooleanConfigKey(false, true);
        _this.sendFootprints = new config_system_1.BooleanConfigKey(false, true);
        _this.sendEvents = new config_system_1.BooleanConfigKey(false, true);
        _this.sendLogs = new config_system_1.BooleanConfigKey(false, false);
        _this.customerId = new config_system_1.StringConfigKey(false);
        _this.appName = new config_system_1.StringConfigKey(false);
        _this.branch = new config_system_1.StringConfigKey(false);
        _this.build = new config_system_1.StringConfigKey(false);
        _this.environmentName = new config_system_1.StringConfigKey(false);
        _this.useBranchCoverage = new config_system_1.BooleanConfigKey(false, false);
        _this.labId = new config_system_1.StringConfigKey(false);
        _this.testStage = new config_system_1.StringConfigKey(false);
        _this.httpServerColoring = new config_system_1.BooleanConfigKey(false, false);
        _this.httpClientColoring = new config_system_1.BooleanConfigKey(false, false);
        _this.useInitialColor = new config_system_1.BooleanConfigKey(false, true);
        _this.gzip = new config_system_1.BooleanConfigKey(false, true);
        _this.useIstanbul = new config_system_1.BooleanConfigKey(false, false);
        _this.enableChildProcessPatcher = new config_system_1.BooleanConfigKey(false, false);
        /**
         * Comma-separated list of loggers. Available: console, file
         */
        _this.loggers = new config_system_1.StringConfigKey(false, "");
        /**
        * Port number for coloring
        * */
        _this.httpListeningPort = new config_system_1.NumberConfigKey(false, 0);
        _this.useFootprintsV3 = new config_system_1.BooleanConfigKey(false, true);
        _this.extendedFootprints = new config_system_1.BooleanConfigKey(false, false);
        _this.projectRoot = new config_system_1.StringConfigKey(false);
        return _this;
    }
    return AgentConfig;
}(config_system_1.BaseConfiguration));
exports.AgentConfig = AgentConfig;
var AgentConfigWithRuntimeArgs = /** @class */ (function (_super) {
    __extends(AgentConfigWithRuntimeArgs, _super);
    function AgentConfigWithRuntimeArgs() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        /**
         * Path to config file
         *
         * @memberOf AgentConfigWithRuntimeArgs
         */
        _this.cfg = new config_system_1.StringConfigKey(false);
        return _this;
    }
    return AgentConfigWithRuntimeArgs;
}(AgentConfig));
exports.AgentConfigWithRuntimeArgs = AgentConfigWithRuntimeArgs;
//# sourceMappingURL=config.js.map