"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var validation_utils_1 = require("../utils/validation-utils");
var FileElement = /** @class */ (function () {
    function FileElement(type, startPosition, endPosition, uniqueIdKey, filename) {
        validation_utils_1.ValidationUtils.verifyNotNullOrEmpty(type, "type");
        validation_utils_1.ValidationUtils.verifyNotNullOrEmpty(startPosition, "startPosition");
        validation_utils_1.ValidationUtils.verifyNotNullOrEmpty(endPosition, "endPosition");
        validation_utils_1.ValidationUtils.verifyNotNullOrEmpty(uniqueIdKey, "uniqueIdKey");
        validation_utils_1.ValidationUtils.verifyNotNullOrEmpty(filename, "filename");
        this._type = type;
        this._startPosition = startPosition;
        this._endPosition = endPosition;
        this._uniqueIdKey = uniqueIdKey;
        this._filename = filename;
    }
    Object.defineProperty(FileElement.prototype, "type", {
        get: function () {
            return this._type;
        },
        set: function (value) {
            this._type = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FileElement.prototype, "startPosition", {
        get: function () {
            return this._startPosition;
        },
        set: function (value) {
            this._startPosition = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FileElement.prototype, "endPosition", {
        get: function () {
            return this._endPosition;
        },
        set: function (value) {
            this._endPosition = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FileElement.prototype, "uniqueIdKey", {
        get: function () {
            return this._uniqueIdKey;
        },
        set: function (value) {
            this._uniqueIdKey = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FileElement.prototype, "uniqueIdKey_decl", {
        get: function () {
            return this._uniqueIdKey_decl;
        },
        set: function (value) {
            this._uniqueIdKey_decl = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FileElement.prototype, "filename", {
        get: function () {
            return this._filename;
        },
        set: function (value) {
            this._filename = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FileElement.prototype, "uniqueId", {
        get: function () {
            return this._uniqueId;
        },
        set: function (value) {
            this._uniqueId = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FileElement.prototype, "parentPosition", {
        get: function () {
            return this._parentPosition;
        },
        set: function (value) {
            this._parentPosition = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FileElement.prototype, "index", {
        get: function () {
            return this._index;
        },
        set: function (value) {
            this._index = value;
        },
        enumerable: true,
        configurable: true
    });
    FileElement.prototype.isStartsAfter = function (fileElement) {
        if (parseInt(this._startPosition.line.toString()) < parseInt(fileElement.startPosition.line.toString())) {
            return false;
        }
        if (parseInt(this._startPosition.line.toString()) > parseInt(fileElement.startPosition.line.toString())) {
            return true;
        }
        if (parseInt(this._startPosition.column.toString()) > parseInt(fileElement.startPosition.column.toString())) {
            return true;
        }
        return false;
    };
    FileElement.prototype.isStartsBefore = function (fileElement) {
        if (parseInt(this._startPosition.line.toString()) > parseInt(fileElement.startPosition.line.toString())) {
            return false;
        }
        if (parseInt(this._startPosition.line.toString()) < parseInt(fileElement.startPosition.line.toString())) {
            return true;
        }
        if (parseInt(this._startPosition.column.toString()) < parseInt(fileElement.startPosition.column.toString())) {
            return true;
        }
        return false;
    };
    FileElement.prototype.isEndsAfter = function (fileElement) {
        if (parseInt(this._endPosition.line.toString()) < parseInt(fileElement.endPosition.line.toString())) {
            return false;
        }
        if (parseInt(this._endPosition.line.toString()) > parseInt(fileElement.endPosition.line.toString())) {
            return true;
        }
        if (parseInt(this._endPosition.column.toString()) > parseInt(fileElement.endPosition.column.toString())) {
            return true;
        }
        return false;
    };
    FileElement.prototype.isEndsBefore = function (fileElement) {
        if (parseInt(this._endPosition.line.toString()) > parseInt(fileElement.endPosition.line.toString())) {
            return false;
        }
        if (parseInt(this._endPosition.line.toString()) < parseInt(fileElement.endPosition.line.toString())) {
            return true;
        }
        if (parseInt(this._endPosition.column.toString()) < parseInt(fileElement.endPosition.column.toString())) {
            return true;
        }
        return false;
    };
    return FileElement;
}());
exports.FileElement = FileElement;
//# sourceMappingURL=file-element.js.map