"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var events_contracts_1 = require("./events-contracts");
var EventsCreator = /** @class */ (function () {
    function EventsCreator() {
    }
    EventsCreator.createTestStartedEvent = function (executionId, framework, testName, duration) {
        var eventBase = this.createEvent(events_contracts_1.EventTypes.TestStart, executionId, framework);
        var startTimeStamp = new Date().valueOf() - duration;
        eventBase.localTime = startTimeStamp;
        return __assign({}, eventBase, { testName: testName });
    };
    EventsCreator.createTestEndEvent = function (executionId, framework, testName, result, duration) {
        var eventBase = this.createEvent(events_contracts_1.EventTypes.TestEnd, executionId, framework);
        return __assign({}, eventBase, { result: result,
            duration: duration,
            testName: testName });
    };
    EventsCreator.createEvent = function (type, executionId, framework) {
        return {
            type: type,
            executionId: executionId,
            framework: framework,
            localTime: new Date().valueOf()
        };
    };
    return EventsCreator;
}());
exports.EventsCreator = EventsCreator;
//# sourceMappingURL=events-creator.js.map