import { IWatchdog } from "../watchdog";
import { IQueue } from "../queue";
import { BackendProxy } from "../http/backend-proxy";
import { IEnvironment, IEvent } from "./events-contracts";
import { AgentConfig } from "../config";
import { AgentDataService } from "../agent-data-service";
export declare class EventsProcess {
    private static readonly ITEMS_TO_DEQUE;
    private configuration;
    private sendToServerWatchdog;
    private keepAliveWatchdog;
    private environmentData;
    private agentDataService;
    private backendProxy;
    private eventsQueue;
    private logger;
    private isRunning;
    private isSubmittingEvents;
    private sequence;
    private stopCallbacks;
    constructor(configuration: AgentConfig, sendToServerWatchdog: IWatchdog, keepAliveWatchdog: IWatchdog, environmentDataService: IEnvironment, agentDataService: AgentDataService, backendProxy: BackendProxy, eventsQueue: IQueue<IEvent>, logger: any);
    enqueueEvent(evt: IEvent): void;
    start(): void;
    stop(callback?: () => void): void;
    private runStopCallback;
    getQueueSize(): any;
    private submitEvents;
    private createEventsPacket;
    private init;
    private ensureKeepaliveThreadRunning;
    private fireQueueEmpty;
}
