import { HttpClientConfigData, BuildSessionData, CreateBuildSessionIdResponse, GetVersionRequest, BuildMappingRequest, GetRemoteConfigRequest, SubmitLogsRequest, StartExecutionRequest, EndExecutionRequest, AgentData, UploadReportsBody, IHttpClient } from "./contracts";
import bunyan = require('bunyan');
import { IEventsFile } from "../events-process/events-contracts";
export declare class BackendProxy {
    protected config: HttpClientConfigData;
    private client;
    protected logger: bunyan;
    constructor(config: HttpClientConfigData, logger: bunyan, httpClient?: IHttpClient);
    getBuildSession(buildSessionId: string, callback: (err: Error, response: BuildSessionData) => void): void;
    createBuildSessionId(request: BuildSessionData, callback: (err: Error, response: CreateBuildSessionIdResponse) => void): void;
    getRecommendedVersion(request: GetVersionRequest): Promise<any>;
    submitBuildMapping(request: BuildMappingRequest): Promise<any>;
    submitLogs(request: SubmitLogsRequest, callback: (err: Error, body: any) => void): void;
    getRemoteConfig(request: GetRemoteConfigRequest, callback: (err: Error, body: any) => void): void;
    startExecution(request: StartExecutionRequest, callback: (err: Error, body: any) => void): void;
    uploadReport(request: UploadReportsBody | AgentData, callback: (err: Error, body: any) => void): void;
    externalReport(request: UploadReportsBody | AgentData, callback: (err: Error, body: any) => void): void;
    endExecution(request: EndExecutionRequest, callback: (err: Error, body: any) => void): void;
    submitEvents(packetToSend: IEventsFile, callback: (err: Error, body: any) => void, async?: boolean): void;
    submitBlob(body: string, buildSessionId: string, blobId: string, callback: (err: Error, body: any) => void): void;
    protected invokeCallback(callback: (err: Error, apiResponse: any) => void, err: Error, body: any, map?: (body: any) => any): void;
}
