"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var events = require("events");
var Queue = /** @class */ (function (_super) {
    __extends(Queue, _super);
    function Queue() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.queue = [];
        _this.maxItemsInQueue = 1000;
        return _this;
    }
    Queue.prototype.requeue = function (items) {
        if (!items || !items.length)
            return;
        this.queue = items.concat(this.queue);
    };
    Queue.prototype.enqueue = function (item) {
        this.queue.push(item);
        if (this.maxItemsInQueue == this.queue.length) {
            this.emit("full");
        }
    };
    Queue.prototype.getQueueSize = function () {
        return this.queue.length;
    };
    Queue.prototype.dequeue = function (size) {
        if (size == 0)
            size = this.queue.length; //dequeue all
        if (this.queue.length == 0)
            return [];
        if (size > this.queue.length)
            size = this.queue.length;
        var dequeuedItems = this.queue.splice(0, size);
        return dequeuedItems;
    };
    Queue.prototype.clear = function () {
        this.queue = [];
    };
    return Queue;
}(events.EventEmitter));
exports.Queue = Queue;
//# sourceMappingURL=queue.js.map