import { SourceMapConsumer } from "source-map";
/**
 * Resolve the source data for method or branch.
 * Resolves the followingg:
 * Relative path of source file.
 * Absolute path of source file.
 * Start position in source file.
 * End position in source file.
 * The name of original methid (in case of method).
 */
export declare class SourceMapHandler {
    private static readonly WEBPACK_PREFIX;
    private static readonly REACT_GENERATED_FOLDER;
    private static readonly REACT_SOURCE_FOLDER;
    private static readonly WEBPACK_BOOTSTRAP_FILE;
    private static readonly WEBPACK_LAZY_FILE;
    private static readonly WEBPACK_SRC_ASYNC;
    private static readonly WEBPACK_SRC_LAZY;
    private static readonly WEBPACK_RESOURCE_SIGN;
    private static readonly NODE_MODULES;
    private static readonly THIRD_PARTIES_FOLDERS;
    private consumer;
    private _start;
    private _end;
    private generatedFileName;
    private scmRootDir;
    private originalName;
    private scmFilesContainer;
    private projectRoot;
    private _shouldSkipped;
    private _absolutePath;
    private _relativePath;
    private logger;
    constructor(consumer: SourceMapConsumer, generatedFileName: string, generatedStart: number[], generatedEnd: number[], projectRoot: string, logger: any);
    resolvePaths(): void;
    setScmParams(scmFilesContainer: any, scmRootDir: string): void;
    readonly absolutePath: string;
    readonly relativePath: string;
    readonly start: Position;
    readonly end: Position;
    readonly shouldSkipped: boolean;
    private resolveAbsolutePath;
    private resolveRelativePath;
    private resolvePathsByScm;
    private resolveOriginalPosition;
    private isValidPositionObject;
    private trimWebpackPrefix;
    private isThirdPartyCode;
}
declare class Position {
    column: number;
    line: number;
    name: string;
    source: string;
    constructor(position: any);
    asFormatArray(): number[];
}
export {};
