import * as Logger from "bunyan";
export interface ISourceMapData {
    version: number;
    file: string;
    sourceRoot: string;
    sources: string[];
    sourcesContent: string[];
    names: string[];
    mappings: string;
}
/**
 * Reads source map data from generated file, uses 'convert-source-map' packge to resolve.
 * If not found trying to search relevat map file under same directory as gem=nerated.
 */
export declare class SourceMapReader {
    private static readonly COMMENT_REGEX;
    private static readonly MAP_FILE_COMMENT_REGEX;
    private static readonly MAP_FILE_EXTENSION;
    private filename;
    private logger;
    constructor(filename: string, logger: Logger);
    readSourceMapData(generatedContent: string): ISourceMapData;
    readFromFile(): ISourceMapData;
    /**
     *  The 'convert-source-map' detects only comments using 'sourceMappingURL' which is the new standard,
     some tools generate with comment 'sourceURL' which not supported
     */
    private isUsingSourceURL;
}
