"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs = require("fs");
var sourceMap = require("source-map");
var SourceMapsUtils = /** @class */ (function () {
    function SourceMapsUtils() {
    }
    SourceMapsUtils.readSourceMaps = function (fullFilename) {
        if (!fullFilename)
            return;
        var sourceMapsFilename = fullFilename + '.map';
        var contents, rawSourceMapJsonData, consumer;
        try {
            contents = fs.readFileSync(sourceMapsFilename).toString();
        }
        catch (e) {
            //Sourcemap file not found
            return null;
        }
        try {
            rawSourceMapJsonData = JSON.parse(contents);
        }
        catch (e) {
            console.error('[Sealights] Ignoring invalid source map: ' + sourceMapsFilename);
            return null;
        }
        try {
            consumer = new sourceMap.SourceMapConsumer(rawSourceMapJsonData);
            return consumer;
        }
        catch (e) {
            console.error('[Sealights] Error processing source maps for file: ' + sourceMapsFilename);
            return null;
        }
    };
    return SourceMapsUtils;
}());
exports.SourceMapsUtils = SourceMapsUtils;
//# sourceMappingURL=source-maps-utils.js.map