"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var fs = require("fs");
var FilesUtils = /** @class */ (function () {
    function FilesUtils() {
    }
    FilesUtils.resolveOriginalFullFileName = function (fullPath, originalFilename) {
        if (path.isAbsolute(originalFilename)) {
            return originalFilename;
        }
        var generatedDir = path.dirname(fullPath);
        originalFilename = path.resolve(generatedDir, originalFilename);
        return originalFilename;
    };
    FilesUtils.adjustPathSlashes = function (filePath) {
        filePath = (filePath || "").replace(/\\/g, '/');
        return filePath;
    };
    FilesUtils.findFileUp = function (file, folder) {
        var parsed = path.parse(folder);
        var filePath = path.join(folder, file);
        if (fs.existsSync(filePath)) {
            return filePath;
        }
        if (path.resolve(folder) === parsed.root || folder === ".") {
            return null;
        }
        var parentFolder = path.join(folder, "..");
        parentFolder = path.normalize(parentFolder);
        return FilesUtils.findFileUp(file, parentFolder);
    };
    return FilesUtils;
}());
exports.FilesUtils = FilesUtils;
//# sourceMappingURL=files-utils.js.map